import scrapy

class InsularSpider(scrapy.Spider):
    name = "insular"

    def start_requests(self):
        last_post = 12526
        first_post = 0
        for n in range(last_post, first_post, -1):
            url = f'http://186.10.9.27:81/?p={n}'
            yield scrapy.Request(url=url, callback=self.parse, cb_kwargs={'n':n})

    def parse(self, response, n):
        filename = f'data/raw/elinsular/insular-{n:06}.html'
        with open(filename, 'wb') as f:
            f.write(response.body)
        self.log(f'Saved file {filename}')
